package com.yihu.hos.logger.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author Airhead
 * @since 2017/1/19.
 */
@Configuration
public class LoggerConfiguration {

    @Value("${spring.activemq.broker-url}")
    private String brokerURL;
    @Value("${spring.activemq.user}")
    private String activeMqUser;
    @Value("${spring.activemq.password}")
    private String activeMqPassword;

    @Value("${logger.ehr}")
    private String ehrLogDir;

    @Value("${logger.tenant}")
    private String tenant;

    public String getBrokerURL() {
        return brokerURL;
    }

    public String getActiveMqUser() {
        return activeMqUser;
    }

    public String getActiveMqPassword() {
        return activeMqPassword;
    }

    public String getEhrLogDir() {
        return ehrLogDir;
    }

    public String getTenant() {
        return tenant;
    }
}
